MONGOC_CLIENT_GET_READ_PREFS(3)

NAME
mongoc_client_get_read_prefs - mongoc_client_get_read_prefs()

SYNOPSIS

        const mongoc_read_prefs_t *
        mongoc_client_get_read_prefs (const mongoc_client_t *client);

Retrieves the default read preferences configured for the client instance. The result should not be modified or freed.

PARAMETERS

    •   client: A mongoc_client_t.

RETURNS

A mongoc_read_prefs_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc